/*-----------------------------------------------------------------

[Master JavaScript]

Project:  TJB's Homepage
Version:  8.0
Last change:  20/08/14 [Architecture]

------------------------------------------------------------------
------------------------------------------------------------------

[Table of contents]

1. At start
  1.1. Hiding
  1.2. Language

2. Language
  2.1. Buttons
  2.2. Function

3. Navigation
  3.1. Buttons
  3.2. Function

4. Collapsible (accordeon) parts [JQUERY UI]

------------------------------------------------------------------*/

  /*--- 1. At Start ---*/

    /*--- 1.1. Hiding ---*/

if (index == true) {
  $("li, h5, h6, h1,#navigation").css({ "margin-left": "-150%"})
  $(".click-me").hide(1000)
  $(".lang-de").css({'visibility': 'visible'})
  $(".lang-fr").css({'visibility': 'visible'})

  HideNavBar()
} else {
  $(".click-me")  .hide(500)
                .removeClass('lang-en')
                .removeClass('lang-de')
                .removeClass('lang-fr')
}

    /*--- 1.2. Language ---*/

var hide = true
var userLang = navigator.language || navigator.userLanguage

checkLanguage()

    /*--- 1.3. Activate Tooltips [JQuery UI] ---*/

$(function() {
  $( document ).tooltip({
      show: null,
      position: {
        my: "left left",
        at: "right right"
      },
      open: function( event, ui ) {
        ui.tooltip.animate({ top: ui.tooltip.position().left + 10 }, "fast" );
      },
      position: {
        my: "center bottom-20",
        at: "center top",
        using: function( position, feedback ) {
          $( this ).css( position )
          $( "<div>" )
            .addClass( "arrow" )
            .addClass( feedback.vertical )
            .addClass( feedback.horizontal )
            .appendTo( this )
        }
      },
      items: "[title]",
      content: function() {
        var element = $( this );
        if ( element.is( "[title]" ) ) {
          return element.attr( "title" )
        }
      }
    })
})

  /*--- 2. Language --*/

    /*--- 2.1 Buttons --*/

$("#en").click(function() {
        userLang = "en"
        checkLanguage()
})
$("#de").click(function() {
        userLang = "de"
        checkLanguage()
})
$("#fr").click(function() {
        userLang = "fr"
        checkLanguage()
})

    /*--- 2.2 Function --*/

function checkLanguage(){
  if( userLang.indexOf("en") >= 0){
          $(".lang-en").hide(100)
          $(".lang-en").show(500)
          $(".lang-de").hide(100)
          $(".lang-fr").hide(100)
  } else if( userLang.indexOf("de") >= 0){
          $(".lang-en").hide(100)
          $(".lang-de").hide(100)
          $(".lang-de").show(500)
          $(".lang-fr").hide(100)
  } else if( userLang.indexOf("fr") >= 0){
          $(".lang-en").hide(100)
          $(".lang-de").hide(100)
          $(".lang-fr").hide(100)
          $(".lang-fr").show(500)
  }
}

  /*--- 3. Navigation ---*/

    /*--- 3.1. Button ---*/

$("#close").click(function(){
        $(".click-me")  .hide(500)
                        .removeClass('lang-en')
                        .removeClass('lang-de')
                        .removeClass('lang-fr')
	if (hide == false) {
        	HideNavBar()
        	hide = true
	} else if (hide == true) {
        	ShowNavBar()
        	hide = false
        }
})

    /*--- 3.2. Functions ---*/

function HideNavBar(){
        $("li, h5, h6, h1").each(function(key, bar)
        {
                var number = 1 + Math.floor(Math.random() * 2000)
                $(this).animate({
                        "margin-left": "-150%"
                }, number)
        })
        $("#navigation").animate({ "margin-left": "-150%" }, 1500)
        $(".fa-bars").removeClass('rotate90')
        $(".content") .animate({ "padding-left": "0", "padding-top": "115px" }, 1500)
}

function ShowNavBar(){
        $("#navigation").animate({ "margin-left": "0" }, 500)
        $(".content") .animate({ "padding-left": "210px", "padding-top": "65px" }, 500)
        $("li, h5, h6, h1").each(function(key, bar){
                var number = 1 + Math.floor(Math.random() * 2000)
                $(this).animate({ "margin-left": "0" }, number)
        })
        $(".fa-bars").addClass('rotate90')
}

  /*--- 4. Collapsible (accordeon) parts [JQUERY UI] ---*/

$(function() {
    $( ".collapsible" ).accordion({
              event: "click hoverintent",
              heightStyle: "content",
              
        })
})

$.event.special.hoverintent = {
    setup: function() {
      $( this ).bind( "mouseover", jQuery.event.special.hoverintent.handler );
    },
    teardown: function() {
      $( this ).unbind( "mouseover", jQuery.event.special.hoverintent.handler );
    },
    handler: function( event ) {
      var currentX, currentY, timeout,
        args = arguments,
        target = $( event.target ),
        previousX = event.pageX,
        previousY = event.pageY;
 
      function track( event ) {
        currentX = event.pageX;
        currentY = event.pageY;
      };
 
      function clear() {
        target
          .unbind( "mousemove", track )
          .unbind( "mouseout", clear );
        clearTimeout( timeout );
      }
 
      function handler() {
        var prop,
          orig = event;
 
        if ( ( Math.abs( previousX - currentX ) +
            Math.abs( previousY - currentY ) ) < 7 ) {
          clear();
 
          event = $.Event( "hoverintent" );
          for ( prop in orig ) {
            if ( !( prop in event ) ) {
              event[ prop ] = orig[ prop ];
            }
          }
          // Prevent accessing the original event since the new event
          // is fired asynchronously and the old event is no longer
          // usable (#6028)
          delete event.originalEvent;
 
          target.trigger( event );
        } else {
          previousX = currentX;
          previousY = currentY;
          timeout = setTimeout( handler, 100 );
        }
      }
 
      timeout = setTimeout( handler, 100 );
      target.bind({
        mousemove: track,
        mouseout: clear
      });
    }
  }